#!/bin/bash

# Take in name of device as first argument and convert into card,device pair
# Load the module for the device in pulseaudio, if it is not already loaded
DEVICE=$(arecord -l | sed -nE "s/^card ([0-9]+):.*$1.*, device ([0-9]+):.*$/\1,\2/p")
echo "Found ${DEVICE} for $1" >> ${LOGFILE}
for dev in ${DEVICE}; do # Loop to handle multiple matches
	ALSA_INPUT=$(echo ${dev} | sed -nE 's/([0-9]+),([0-9]+)/alsa_input.hw_\1_\2/p')
	pactl list sources short | grep -q -m1 "${ALSA_INPUT}" || {
		pactl load-module module-alsa-source device=hw:${dev}
	}
done
